document some workarounds for working with a recent ruby (2.3.p112 on
[booh] / VERSION
1 0.9.5b1